Conteníu

# Función QBColor

Devuelve'l códigu RGB d'el color que se pasó como valor al traviés d'un sistema de programación antiguu basáu en MS-DOS.

### Syntax:

QBColor (NúmberuColor As Integer)

### Return type:

Long

### Parameters:

NúmberuColor: Cualquier espresión d'enteru qu'especifique'l valor d'el color que se pasó dende un sistema de programación antiguu basáu en MS-DOS.

A NúmberuColor puen asignáse-y los valores siguientes:

0 : Negru

1 : Azul

2 : Verde

3 : Cián

4 : Colloráu

5 : Magenta

6 : Mariellu

7 : Blanco

8 : Gris

9 : Azul claro

10 : Verde claru

11 : Cián claru

12 : Colloráu claru

13 : Magenta claru

14 : Mariellu claro

15 : Blanco brillosu

Esta función namái s'usa pa convertir dende aplicaciones BASIC antigües basaes en MS-DOS qu'utilicen los códigos de color anteriores. La función devuelve un valor enteru llongura qu'indica'l color qu'usar en LibreOffice IDE.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox stext,0,"Color " & iColor
    End Sub